Subject: Re: bug#42546: error during disk partitioning

From: Mathieu Othacehe <[email-masked]>
Date: Sun, 26 Jul 2020 18:44:20 +0200

Hey,

I just pushed basic NTFS support. It does not allow you to create your
root file-system as NTFS yet, but I'll see what I can do about that.

Anyway, the installer should not crash anymore if you try to edit or
create a non root NTFS partition. Once the CI has finished building a
new ISO image, it would be great to have your feedback.

Concerning the other issue you are referring to ("/dev/sdb" still in
use), it can happen if you tried an installation just after an
installer crash, because some partitions can be left mounted.

In that case, you could restart your machine and see if it solves the
problem.

Thanks,

Mathieu

> Hello, I didn’t add a little, if I don’t change ntfs, then I still get another error when starting formatting: /dev/sdb is still in use. I don’t quite understand what it so to solve the problem.
>
>  
>
> От: Mathieu Othacehe
> Отправлено: 26 July 2020 в 16:56
> Кому: Alexandrov Anatoly
> Копия: [email-masked]
> Тема: Re: bug#42546: error during disk partitioning
>
>  
>
> Hello Alexandrov,
>
>> Hello, during the graphical installation of guix latest 9660, during the manual partitioning of the disk, for example, when I want to edit an existing ntfs partition, the error "unhandle ntfs
> type"
>> appears, it is impossible to install the OS, on the stable version a crash occurs at this time. I have two disks: SAMSUNG SSD, USB HDD. I install the OS on a USB HDD, which has two
>> partitions, one of them is external.
>
> Thanks for the report. NTFS partition type is not yet supported by the
> installer. I'm working on a patch to fix the issue.
>
> I'll let you know when it's ready!
>
> Thanks,
>
> Mathieu